function demo_runge2

% oggetto:
% Esempio di Runge per grado fissato "n", in nodi equispaziati e di
% Chebyshev-Lobatto.?Errori puntuali.

% grado interpolante.
n=12; 
% nodi test
s=-5:1/1000000:5;  

% ---- interpolazione nodi equispaziati ----
x=-5:10/n:5; y=runge(x);   
t=interpol(x,y,s);  

% ---- interpolazione nodi GCL ----
xgcl=gcl(-5,5,n+1); ygcl=runge(xgcl);
tt =interpol(xgcl, ygcl,s);  

% ---- plot runge vs interpolanti ----

fs=runge(s);

% prima figura
clf;
figure(1); % prima figura (nodi equi.)
semilogy(s,abs(fs-t),'LineWidth',2);
hold on;
title('Errori di interpolazione: nodi equi.');
hold off;

% seconda figura
figure(2); % seconda figura (nodi GCL)
semilogy(s,abs(fs-tt),'LineWidth',2);
hold on;
title('Errori di interpolazione: nodi GCL');
hold off;

