function xc=gcl(a,b,n)

% input: 
% a,b: estremi dell'intervallo
% n  : numero dei nodi di Chebyshev-Lobatto.
%
% output:
% xc  : vettore di nodi di Chebyshev-Lobatto.

m=1:1:n;
xc=(a+b)/2-((b-a)/2)*cos(pi*(m-1)/(n-1));
